HKLM = X2D(80000002) /* HKEY_LOCAL_MACHINE */
strComputer = "."
strKey = "SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\"
strEntry1a = "DisplayName"
strEntry1b = "QuietDisplayName"
strEntry2 = "InstallDate"
strEntry3 = "VersionMajor"
strEntry4 = "VersionMinor"
strEntry5 = "EstimatedSize"
objReg = GetObject("winmgmts://" || strComputer || "/root/default:StdRegProv")
objReg~EnumKey(HKLM, strKey, arrSubkeys)
SAY "Installed Applications"
DO strSubkey OVER arrSubkeys
	intRet1 = objReg~GetStringValue(HKLM, strKey || strSubkey, strEntry1a, strValue1)
	IF intRet1 \= 0 THEN
		objReg~GetStringValue(HKLM, strKey || strSubkey, strEntry1b, strValue1)
	IF strValue1 \= "" THEN
		SAY "Display Name:" strValue1
	objReg~GetStringValue(HKLM, strKey || strSubkey, strEntry2, strValue2)
	IF strValue2 \= "" THEN
		SAY "Install Date:" strValue2
	objReg~GetDWORDValue(HKLM, strKey || strSubkey, strEntry3, intValue3)
	objReg~GetDWORDValue(HKLM, strKey || strSubkey, strEntry4, intValue4)
	IF intValue3 \= "" THEN
		SAY "Version:" intValue3 || "." || intValue4
	objReg~GetDWORDValue(HKLM, strKey || strSubkey, strEntry5, intValue5)
	IF intValue5 \= "" THEN
		SAY "Estimated Size:" || TRUNC(intValue5/1024, 3) "megabytes"
END