/* Displays domain or workgroup information */
strComputer = "."
objWMIService = GetObject("winmgmts:\\" || strComputer || "\root\CIMV2")
colItems = objWMIService~ExecQuery("SELECT * FROM Win32_ComputerSystem")
DO objItem OVER colItems
	SAY "Computer Name:" objItem~Name
	SAY "Name Format:" objItem~NameFormat
	SAY "Domain:" objItem~Domain
	SAY "Part Of Domain:" objItem~PartOfDomain /* post-Windows 2000 only */
	SAY "Workgroup:" objItem~Workgroup /* post-Windows 2000 only */
	SELECT objItem~DomainRole
		WHEN 0 THEN strDomainRole = "Standalone Workstation"
		WHEN 1 THEN strDomainRole = "Member Workstation"
		WHEN 2 THEN strDomainRole = "Standalone Server"
		WHEN 3 THEN strDomainRole = "Member Server"
		WHEN 4 THEN strDomainRole = "Backup Domain Controller"
		WHEN 5 THEN strDomainRole = "Primary Domain Controller"
	END
	SAY "Domain Role:" strDomainRole
	SAY "Roles:" objItem~Roles
	SAY "Network Server Mode Enabled:" objItem~NetworkServerModeEnabled
END